package io;

import java.io.File;
import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

import constructors.Student;

/**
 * 从一个文件中读取数据，并生成一个student的list
 */
public class FileRead {
	public static void main(String[] args) {
		String path = "resources/students.txt";
		List<Student> students = getStudentsFromFile(path);
		for(Student student : students) {
			System.out.println(student);
		}
	}

	static List<Student> getStudentsFromFile(String path) {
		File file = new File(path);
		List<Student> students = new ArrayList<>();
		try (Scanner scanner = new Scanner(file)) {
			while(scanner.hasNextLine()) { // 判断file是否有下一行
				String line = scanner.nextLine(); // 读取下一行
				if(line.length() <= 0 || line.startsWith("#")) {
					continue;
				}
				String[] elements = line.split(",");
				if(elements.length != 3) {
					continue;
				}
				Student student = new Student();
				student.uid = elements[0].trim(); // .trim()去除前后的空格
				student.name = elements[1].trim();
				int year = Integer.parseInt(elements[2].trim());
				student.schoolYear = year;
				students.add(student); // 赋值完后，添加到students列表中
			}
			
		} catch (Exception e) {
			System.out.println("Scan file failed: " + path);
		}
		return students;
	}

}
